import { ChartAnnotation, ChartDimension, ChartMeasure, ChartMeasureRoleType, ChartOrient, EntityType, Property } from '@metad/ocap-core';
import { AxisEnum, EChartsOptions } from './types';
/**
 * 设置轴方向布局
 *
 * @param orient ChartOrient
 * @return [categoryAxis, valueAxis]
 */
export declare function axisOrient(orient: ChartOrient): [AxisEnum, AxisEnum];
/**
 * 计算 Category Axis 设置
 *
 * @param categoryType Axis Type [ECharts xAxis.type](https://echarts.apache.org/en/option.html#xAxis.type)
 * @param items
 * @param dimension
 * @param categoryProperty
 * @param chartOptions
 * @returns
 */
export declare function getCategoryAxis(items: Array<unknown>, dimension: ChartDimension, categoryProperty: Property, chartOptions: any, categoryType?: string): any;
/**
 * 从度量中计算出值轴配置
 *
 * @param chartAnnotation
 * @param entityType
 * @param chartOptions
 * @param locale
 * @returns
 */
export declare function getValueAxis(chartAnnotation: ChartAnnotation, entityType: EntityType, chartOptions: EChartsOptions, locale?: string): any;
export declare function getMeasureAxis(chartAnnotation: ChartAnnotation, role: ChartMeasureRoleType, index: number): ChartMeasure;
/**
 *
 * @param category
 * @param items
 * @param property 暂时只支持一个 dimension
 */
export declare function setCategoryAxisPointerLabel(category: any, items: any, property: Property): void;
