import { ChartAnnotation, ChartDimension, ChartSettings, EntityType, Property, QueryReturn } from '@metad/ocap-core';
import { EChartsOptions } from './types';
export declare function tree(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options?: EChartsOptions): {
    tooltip: any;
    series: any[];
} | {
    series: {
        type: string;
        id: string;
        universalTransition: boolean;
        data: unknown[];
        links: any[];
    }[];
    tooltip?: undefined;
};
export declare function treemap(result: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    tooltip: any;
    series: {
        type: string;
        id: string;
        animationDurationUpdate: number;
        roam: boolean;
        nodeClick: any;
        data: any;
        universalTransition: boolean;
        label: {
            show: boolean;
        };
        breadcrumb: {
            show: boolean;
        };
        levels: ({
            itemStyle: {
                borderColor: string;
                borderWidth: number;
                gapWidth: number;
                borderColorSaturation?: undefined;
            };
            colorSaturation?: undefined;
        } | {
            colorSaturation: number[];
            itemStyle: {
                borderColorSaturation: number;
                gapWidth: number;
                borderWidth: number;
                borderColor?: undefined;
            };
        } | {
            colorSaturation: number[];
            itemStyle: {
                borderColorSaturation: number;
                gapWidth: number;
                borderColor?: undefined;
                borderWidth?: undefined;
            };
        } | {
            colorSaturation: number[];
            itemStyle?: undefined;
        })[];
    }[];
};
export declare function sunburst(result: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    tooltip: any;
    series: {
        type: string;
        id: string;
        radius: string[];
        animationDurationUpdate: number;
        nodeClick: any;
        data: any;
        universalTransition: boolean;
        itemStyle: {
            borderWidth: number;
            borderColor: string;
        };
        label: {};
    }[];
};
export declare function sankey(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    tooltip: any;
    series: {
        type: string;
        id: string;
        universalTransition: boolean;
        data: unknown[];
        links: any[];
    }[];
};
export declare function leveledHierarchy(data: Array<unknown>, chartAnnotation: ChartAnnotation, aggregator: (data: any, key: any) => number): {
    name: string;
    children: unknown[];
    value: any;
}[];
/**
 *
 * @param data
 * @param chartAnnotation
 * @param aggregator
 */
export declare function leveledGraph(data: Array<unknown>, chartAnnotation: ChartAnnotation, aggregator: (data: any, key: any) => number): {
    nodes: unknown[];
    links: any[];
};
export declare function convertTree2NodeLinks(data: Array<unknown>, child: Property, parent: string, level: string, dimension: ChartDimension, measure: string): {
    nodes: any[];
    links: any[];
};
