import { ChartAnnotation, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsOptions } from '../types';
export declare function mapChartAnnotation(chartAnnotation: ChartAnnotation): Promise<ChartAnnotation>;
export declare function mapChart(queryReturn: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    geo: {
        map: string;
        projection: {
            project: (point: any) => any;
            unproject: (point: any) => any;
        };
        roam: boolean;
        emphasis: {
            label: {
                show: boolean;
            };
        };
    };
    visualMap: {
        show: boolean;
        left: string;
        min: number;
        max: number;
        inRange: {
            color: string[];
        };
        text: string[];
        calculable: boolean;
    }[];
    tooltip: {
        trigger: string;
        showDelay: number;
        transitionDuration: number;
    };
    series: {
        name: string;
        type: string;
        coordinateSystem: string;
        geoIndex: number;
        itemStyle: {
            color: string;
        };
        emphasis: {
            label: {
                show: boolean;
            };
        };
        data: any;
        encode: {
            tooltip: number[];
            value: number;
        };
    }[];
};
