import { IChartClickEvent, SmartChartEngine, SmartChartEngineState } from '@metad/ocap-core';
import { ECharts } from 'echarts/core';
import { BehaviorSubject, Observable } from 'rxjs';
export declare class SmartEChartEngine extends SmartChartEngine<SmartChartEngineState> {
    get echarts(): ECharts;
    set echarts(value: ECharts);
    protected echartsInstance$: BehaviorSubject<ECharts>;
    readonly error$: BehaviorSubject<any>;
    readonly echartsOptions$: Observable<any>;
    readonly chartClick$: Observable<IChartClickEvent>;
    /**
     * https://echarts.apache.org/en/api.html#events.selectchanged
     */
    readonly selectChanged$: Observable<{
        event: any;
        slicers: any;
    }>;
    constructor();
    selectChartOptions(): Observable<any>;
    protected createLazyEvent<T>(eventName: string): Observable<T>;
}
