export declare const DEFAULT_THEME: {
    name: string;
    echartsTheme: {
        color: string[];
        textStyle: {
            color: string;
            fontSize: string;
            fontFamily: string;
        };
        title: {
            textStyle: {
                color: string;
            };
            subtextStyle: {
                color: string;
            };
        };
        line: {
            itemStyle: {
                normal: {
                    borderWidth: string;
                };
            };
            lineStyle: {
                normal: {
                    width: string;
                };
            };
            symbolSize: string;
            symbol: string;
            smooth: boolean;
        };
        radar: {
            itemStyle: {
                normal: {
                    borderWidth: string;
                };
            };
            lineStyle: {
                normal: {
                    width: string;
                };
            };
            symbolSize: string;
            symbol: string;
            smooth: boolean;
        };
        bar: {
            itemStyle: {
                normal: {
                    barBorderWidth: number;
                    barBorderColor: string;
                };
                emphasis: {
                    barBorderWidth: number;
                    barBorderColor: string;
                };
            };
        };
        pie: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
                emphasis: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
        };
        scatter: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
                emphasis: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
        };
        boxplot: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
                emphasis: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
        };
        parallel: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
                emphasis: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
        };
        sankey: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
                emphasis: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
            label: {
                color: string;
            };
        };
        funnel: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
                emphasis: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
        };
        gauge: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
                emphasis: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
        };
        candlestick: {
            itemStyle: {
                normal: {
                    color: string;
                    color0: string;
                    borderColor: string;
                    borderColor0: string;
                    borderWidth: string;
                };
            };
        };
        graph: {
            itemStyle: {
                normal: {
                    borderWidth: number;
                    borderColor: string;
                };
            };
            lineStyle: {
                normal: {
                    width: string;
                    color: string;
                };
            };
            symbolSize: string;
            symbol: string;
            smooth: boolean;
            color: string[];
            label: {
                normal: {
                    textStyle: {
                        color: string;
                    };
                };
            };
        };
        map: {
            itemStyle: {
                normal: {
                    areaColor: string;
                    borderColor: string;
                    borderWidth: number;
                };
                emphasis: {
                    areaColor: string;
                    borderColor: string;
                    borderWidth: number;
                };
            };
            label: {
                normal: {
                    textStyle: {
                        color: string;
                    };
                };
                emphasis: {
                    textStyle: {
                        color: string;
                    };
                };
            };
        };
        geo: {
            itemStyle: {
                normal: {
                    areaColor: string;
                    borderColor: string;
                    borderWidth: number;
                };
                emphasis: {
                    areaColor: string;
                    borderColor: string;
                    borderWidth: number;
                };
            };
            label: {
                normal: {
                    textStyle: {
                        color: string;
                    };
                };
                emphasis: {
                    textStyle: {
                        color: string;
                    };
                };
            };
        };
        categoryAxis: {
            axisLine: {
                show: boolean;
                lineStyle: {
                    color: string;
                    width: number;
                };
            };
            axisTick: {
                show: boolean;
                lineStyle: {
                    color: string;
                };
            };
            axisLabel: {
                show: boolean;
                textStyle: {
                    color: string;
                    fontSize: string;
                };
            };
            splitLine: {
                show: boolean;
                lineStyle: {
                    color: string[];
                };
            };
            splitArea: {
                show: boolean;
                areaStyle: {
                    color: string[];
                };
            };
        };
        valueAxis: {
            axisLine: {
                show: boolean;
                lineStyle: {
                    color: string;
                };
            };
            axisTick: {
                show: boolean;
                lineStyle: {
                    color: string;
                };
            };
            axisLabel: {
                show: boolean;
                textStyle: {
                    color: string;
                    fontSize: string;
                };
            };
            splitLine: {
                show: boolean;
                lineStyle: {
                    color: string[];
                    type: string;
                };
            };
            splitArea: {
                show: boolean;
                areaStyle: {
                    color: string[];
                };
            };
        };
        logAxis: {
            axisLine: {
                show: boolean;
                lineStyle: {
                    color: string;
                };
            };
            axisTick: {
                show: boolean;
                lineStyle: {
                    color: string;
                };
            };
            axisLabel: {
                show: boolean;
                textStyle: {
                    color: string;
                    fontSize: string;
                };
            };
            splitLine: {
                show: boolean;
                lineStyle: {
                    color: string[];
                };
            };
            splitArea: {
                show: boolean;
                areaStyle: {
                    color: string[];
                };
            };
        };
        timeAxis: {
            axisLine: {
                show: boolean;
                lineStyle: {
                    color: string;
                };
            };
            axisTick: {
                show: boolean;
                lineStyle: {
                    color: string;
                };
            };
            axisLabel: {
                show: boolean;
                textStyle: {
                    color: string;
                    fontSize: string;
                };
            };
            splitLine: {
                show: boolean;
                lineStyle: {
                    color: string[];
                };
            };
            splitArea: {
                show: boolean;
                areaStyle: {
                    color: string[];
                };
            };
        };
        toolbox: {
            iconStyle: {
                normal: {
                    borderColor: string;
                };
                emphasis: {
                    borderColor: string;
                };
            };
        };
        legend: {
            textStyle: {
                color: string;
            };
            pageIconColor: string;
            pageIconInactiveColor: string;
            pageTextStyle: {
                color: string;
            };
        };
        tooltip: {
            backgroundColor: string;
            textStyle: {
                color: string;
            };
            extraCssText: string;
            axisPointer: {
                lineStyle: {
                    color: string;
                    width: number;
                };
                crossStyle: {
                    color: string;
                    width: number;
                };
                shadowStyle: {
                    color: string;
                    opacity: number;
                };
            };
        };
        timeline: {
            lineStyle: {
                color: string;
                width: number;
            };
            itemStyle: {
                normal: {
                    color: string;
                    borderWidth: number;
                };
                emphasis: {
                    color: string;
                };
            };
            controlStyle: {
                normal: {
                    color: string;
                    borderColor: string;
                    borderWidth: number;
                };
                emphasis: {
                    color: string;
                    borderColor: string;
                    borderWidth: number;
                };
            };
            checkpointStyle: {
                color: string;
                borderColor: string;
            };
            label: {
                normal: {
                    textStyle: {
                        color: string;
                    };
                };
                emphasis: {
                    textStyle: {
                        color: string;
                    };
                };
            };
        };
        visualMap: {
            color: string[];
        };
        dataZoom: {
            backgroundColor: string;
            dataBackgroundColor: string;
            fillerColor: string;
            handleColor: string;
            handleSize: string;
            textStyle: {
                color: string;
            };
        };
        markPoint: {
            label: {
                normal: {
                    textStyle: {
                        color: string;
                    };
                };
                emphasis: {
                    textStyle: {
                        color: string;
                    };
                };
            };
        };
    };
};
