import { ChartDimension, ChartMeasure, ChartSettings, Property } from '@metad/ocap-core';
import { AxisEnum, SeriesComponentType } from './types';
/**
 * 计算出 ECharts tooltip 配置
 *
 * @param tooltipOptions
 * @param dimProperty
 * @param measures
 * @param seriesComponents
 * @param locale
 * @returns
 */
export declare function getEChartsTooltip(tooltipOptions: any, dimProperty: Property, measures: Array<{
    measure: ChartMeasure;
    property: Property;
}>, seriesComponents: SeriesComponentType[], locale: string, rowRuler?: (data: any) => any): any;
/**
 * 计算矩阵 DataSet 相应的 Tooltip 组件属性
 *
 * @returns
 */
export declare function getEChartsMatrixTooltip(tooltipOptions: any, chartCategory: ChartDimension, seriesCategory: ChartDimension, _categoryAxis: AxisEnum, _valueAxis: AxisEnum, categoryValueTexts: Map<string, string>, seriesValueTexts: Map<string, string>, seriesComponents: SeriesComponentType[], settings: ChartSettings): any;
