import { ChartMeasure, ChartOptions, Property } from "@metad/ocap-core";
export declare enum AxisEnum {
    x = "xAxis",
    y = "yAxis",
    xAxis = "x",
    yAxis = "y",
    radius = "radiusAxis",
    angle = "angleAxis",
    radiusAxis = "radius",
    angleAxis = "angle",
    singleAxis = "singleAxis"
}
export interface SeriesComponentType extends Partial<ChartMeasure> {
    id?: string;
    name: string;
    caption?: string;
    seriesType?: string;
    seriesStack?: string;
    noDisplay?: boolean;
    property?: Property;
    dataMin?: number;
    dataMax?: number;
    dataSize?: number;
    categoryAxisIndex?: number;
    valueAxisIndex?: number;
    measures?: Array<string>;
    datasetIndex?: number;
    seriesLayoutBy?: string;
    tooltip?: string[];
    sizeMeasure?: ChartMeasure;
    lightnessMeasure?: ChartMeasure;
}
export interface EChartsOptions extends ChartOptions {
    /**
     * https://echarts.apache.org/en/option.html#grid
     */
    grid?: any;
    /**
     * https://echarts.apache.org/en/option.html#legend
     */
    legend?: any;
    /**
     * https://echarts.apache.org/en/option.html#dataZoom
     */
    dataZoom?: any;
    /**
     * https://echarts.apache.org/en/option.html#yAxis
     */
    valueAxis?: any;
    /**
     * https://echarts.apache.org/en/option.html#series
     */
    seriesStyle?: any;
    colors?: {
        /**
         * https://echarts.apache.org/en/option.html#color
         */
        color: string[];
    };
    /**
     * https://echarts.apache.org/en/option.html#aria
     */
    aria?: any;
}
export declare const FORMAT_LOCALE_DATA: {
    en: {
        lang: string;
        shortNumberFactor: number;
        shortNumberUnits: string;
    };
    'zh-Hans': {
        lang: string;
        shortNumberFactor: number;
        shortNumberUnits: string;
    };
};
export interface ICoordinate {
    name: string;
    datasets: any[];
    grid: any;
    title?: any;
    xAxis?: any;
    yAxis?: any;
    visualMap?: any;
    tooltip?: any;
    legend?: any;
}
